<script setup>

import { onMounted } from 'vue';

const props = defineProps(['modal-element', 'trigger-element']);

let modal = null;

const hideModal = () =>  {
  modal.classList.remove('show');
  document.body.classList.remove('overflow-hidden');
}

const showModal = () => {
  modal.classList.add('show');
  document.body.classList.add('overflow-hidden');
}

onMounted(() => {
  modal = document.querySelector(props.modalElement);
  let closeBtn = document.querySelector(`${props.modalElement} .button-close`);

  closeBtn.onclick = function () {
    hideModal()
  }

  window.onclick = function (event) {
    if (event.target === modal) {
      hideModal()
    }
  }
})
</script>

<template>
  <button @click="showModal" class="btn btn-primary mt-2">Open Table</button>
</template>

<style scoped lang="scss">

</style>